EnderDash

Update Ocelot Config

POST
/ocelot/updateOcelotConfig

Authorization

better-auth.session_token<token>

Signed-in EnderDash browser session cookie.

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

organizationId?string
Length1 <= length
organizationSlug?string
Length1 <= length
enabled*boolean
allowConsole*boolean
allowFiles*boolean
allowPlayers*boolean
allowCommands*boolean
allowWeb*boolean
allowDatabases*boolean
allowShell*boolean
allowProcesses*boolean
allowDocker*boolean
allowPodman*boolean
allowKubernetes*boolean
allowServices*boolean
allowEvents*boolean
allowPlugins*boolean
allowPermissions*boolean
allowEconomy*boolean
allowPlayerAdmin*boolean
allowServerLifecycle*boolean
yoloMode*boolean
emergencyStop*boolean
dailyAiQueryHardLimit*|null
responseStyle*string

Value in

  • "concise"
  • "balanced"
  • "detailed"
customInstructions*|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/ocelot/updateOcelotConfig" \  -H "Content-Type: application/json" \  -d '{    "enabled": true,    "allowConsole": true,    "allowFiles": true,    "allowPlayers": true,    "allowCommands": true,    "allowWeb": true,    "allowDatabases": true,    "allowShell": true,    "allowProcesses": true,    "allowDocker": true,    "allowPodman": true,    "allowKubernetes": true,    "allowServices": true,    "allowEvents": true,    "allowPlugins": true,    "allowPermissions": true,    "allowEconomy": true,    "allowPlayerAdmin": true,    "allowServerLifecycle": true,    "yoloMode": true,    "emergencyStop": true,    "dailyAiQueryHardLimit": -9007199254740991,    "responseStyle": "concise",    "customInstructions": "string"  }'
null